#!/usr/bin/python
# -*- coding: UTF-8 -*-
# 新的颜色集
def get_new_colors():
    colors = [('transparent', '#00000000', '#00000000'),
              ('black', '#000000', '#000000'),
              ('black_h1', '#131715', '#DFE5E5'),
              ('black_h2', '#3E403F', '#B0B5B5'),
              ('black_h3', '#7A7D7A', '#7C8080'),
              ('black_h4', '#A7A8A7', '#6F7373'),
              ('black_h5', '#CFD1D0', '#575959'),
              ('button_line', '#99CFD1D0', '#99575959'),
              ('line', '#EEEEEE', '#363838'),
              ('bg_light', '#F6F5F5', '#303232'),
              ('bg_lighter', '#FBFAFA', '#2D2E2E'),
              ('bg_white', '#FFFFFF', '#252626'),
              ('bg_deep', '#F2F3F5', '#191919'),
              ('white', '#FFFFFF', '#FFFFFF'),
              ('green_brand', '#23C268', '#21A65B'),
              ('green_word', '#0AAC3C', '#2E994D'),
              ('green_bg', '#1423C268', '#1E85B299'),
              ('green_hover', '#26E089', '#26BF78'),
              ('change_green_start', '#3AD470', '#3DCC6F'),
              ('change_green_end', '#28C36B', '#24B262'),
              ('red', '#F16456', '#D9584C'),
              ('red_bg', '#EBF16456', '#1FCC6F66'),
              ('change_red_start', '#FF6A86', '#D94B63'),
              ('change_red_end', '#FF4938', '#D94B43'),
              ('yellow', '#FFA224', '#E89323'),
              ('yellow_bg', '#14FFA224', '#14B27E24'),
              ('yellow_word', '#EE8E1A', '#D9831A'),
              ('change_yellow_start', '#FFB415', '#EBA613'),
              ('change_yellow_end', '#FC9215', '#E58513'),
              ('coffee', '#C27636', '#B87B49'),
              ('change_coffee_start', '#D9A353', '#CC9466'),
              ('change_coffee_end', '#C27636', '#AD7240'),
              ('coffee_bg', '#FCF3E1', '#1FCC8F70'),
              ('brown', '#8C6A28', '#CCA366'),
              ('brown_bg', '#148C6A28', '#14BF9F73'),
              ('bg_toast', '#A6000000', '#F5303232'),
              ('green_line', '#9923C268', '#9921A65B')]
    return sorted(colors, key=ascii, reverse=True)


# 旧的颜色集
def get_old_colors():
    old_colors = [
        ('colorPrimary', '#23c268'),
        ('colorPrimaryDark', '#23c268'),
        ('colorAccent', '#23c268'),
        ('color_14ffa224', '#14ffa224'),
        ('color_35ad64', '#35ad64'),
        ('color_e0f6ea', '#E0F6EA'),
        ('color_fbfafa', '#fbfafa'),
        ('color_0aac3c', '#0aac3c'),
        ('color_0aac3c_40', '#660aac3c'),
        ('color_cfd1d0', '#cfd1d0'),
        ('color_cfd1d0_80', '#cccfd1d0'),
        ('color_cfd1d0_60', '#99cfd1d0'),
        ('color_e0e2e3', '#e0e2e3'),
        ('color_12a962', '#12a962'),
        ('color_ff722b', '#ff722b'),
        ('color_42cb7d', '#42CB7D'),
        ('color_5bdc81', '#5bdc81'),
        ('color_f57953', '#f57953'),
        ('color_50ce86', '#50ce86'),
        ('color_eefaf3', '#eefaf3'),
        ('color_51dd7e', '#51dd7e'),
        ('color_fff7e8', '#fff7e8'),
        ('color_957137', '#957137'),
        ('color_60441F', '#60441F'),
        ('color_b3b3b3', '#b3b3b3'),
        ('color_b2b2b2', '#b2b2b2'),
        ('color_ccb2b2b2', '#99b2b2b2'),
        ('color_5e74a1', '#5e74a1'),
        ('color_f2f2f2', '#f2f2f2'),
        ('color_a3e3bf', '#a3e3bf'),
        ('color_green_40', '#6623c268'),
        ('color_b4eacb', '#b4eacb'),
        ('color_green_8', '#1223c268'),
        ('color_green_10', '#1A23c268'),
        ('color_green_80', '#CC23C268'),
        ('color_d3f3e1', '#d3f3e1'),
        ('color_131715', '#131715'),
        ('color_36604f', '#36604F'),
        ('color_131715_60', '#20131715'),
        ('color_131715_90', '#dd131715'),
        ('color_fff6f5f5', '#fff6f5f5'),
        ('color_f2f3f5', '#f2f3f5'),
        ('color_43de8a', '#43de8a'),
        ('color_1Af16456', '#1Af16456'),
        ('color_23C268_8', '#1423C268'),
        ('color_99cfd1d0', '#99cfd1d0'),
        ('color_4d23c268', '#4d23c268'),
        ('color_23C268', '#23C268'),
        ('color_ecf7ff', '#ECF7FF'),
        ('color_fceffb', '#FCEFFB'),
        ('color_23C268_08', '#1123C268'),
        ('color_682f0f', '#682F0F'),
        ('color_b19b90', '#B19B90'),
        ('color_97e3b8', '#97e3b8'),
        ('color_cccfd1d0', '#cccfd1d0'),
        ('color_e2fdee', '#E2FDEE'),
        ('color_cc131715', '#cc131715'),
        ('color_a6000000', '#a6000000'),
        ('color_434343', '#434343'),
        ('color_a67b29', '#A67B29'),
        ('color_f6d88', '#F6D488'),
        ('color_fffbee', '#FFFBEE'),
        ('dimgray', '#666666'),
        ('whitesmoke', '#f8f8f8'),
        ('empty_background', '#f6f6f6'),
        ('sonw', '#eeeeee'),
        ('blue', '#557db4'),
        ('gainsboro', '#dcdcdc'),
        ('admin', '#ffa000'),
        ('collec', '#69c3fa'),
        ('green', '#23c268'),
        ('green_e0fce7', '#E0FCE7'),
        ('rank_three', '#FFC117'),
        ('rank_two', '#FF964D'),
        ('color_f4f7f8', '#f4f7f8'),
        ('color_e1e1e1', '#e1e1e1'),
        ('color_46b450', '#23c268'),
        ('color_caf8e0', '#caf8e0'),
        ('color_8AC699', '#8AC699'),
        ('color_f5', '#f5f5f5'),
        ('color_e5', '#e5e5e5'),
        ('color_db', '#dbdbdb'),
        ('color_93e0b3', '#93e0b3'),
        ('color_d4d4d4', '#d4d4d4'),
        ('color_5c5c5c', '#5c5c5c'),
        ('color_C0FFDB', '#C0FFDB'),
        ('color_333333', '#333333'),
        ('color_9923c268', '#9923c268'),
        ('color_8c6a28', '#8c6a28'),
        ('color_806A9F', '#806A9F'),
        ('color_f2f0f5', '#f2f0f5'),
        ('color_d9d9d9', '#d9d9d9'),
        ('color_800aac3c', '#800aac3c'),
        ('color_c27636', '#c27636'),
        ('color_169757', '#169757'),
        ('color_c27636_40', '#66c27636'),
        ('color_99fcf3e1', '#99fcf3e1'),
        ('color_7e4718', '#7e4718'),
        ('color_3AD470', '#3AD470'),
        ('font_black', '#3e403f'),
        ('font_dimgray', '#7a7d7a'),
        ('font_darkgray', '#a7a8a7'),
        ('font_888888', '#888888'),
        ('font_999', '#999999'),
        ('font_aaaaaa', '#aaaaaa'),
        ('font_cccccc', '#cccccc'),
        ('font_fc9215', '#FC9215'),
        ('font_555555', '#555555'),
        ('font_ff6054', '#ff6054'),
        ('font_ff5a54', '#ff5a54'),
        ('font_fff5e8', '#FFF5E8'),
        ('font_c27636', '#C27636'),
        ('font_66c27636', '#66C27636'),
        ('font_fff8ee', '#fff8ee'),
        ('font_ff6455', '#ff6455'),
        ('font_f6f5f5', '#f6f5f5'),
        ('font_3e403f', '#3e403f'),
        ('font_dark', '#a8a8a8'),
        ('font_gainsboro', '#d0d0d0'),
        ('font_red', '#ff5050'),
        ('font_blue', '#557db4'),
        ('font_white', '#ffffff'),
        ('font_white_95', '#f2ffffff'),
        ('font_white_85', '#d9ffffff'),
        ('font_green', '#23c268'),
        ('font_yellow', '#ffcc00'),
        ('font_3a', '#3a3a3a'),
        ('font_b0', '#b0b0b0'),
        ('font_ab', '#ababab'),
        ('font_828282', '#828282'),
        ('font_ff9900', '#ff9900'),
        ('font_f99D70', '#f99d70'),
        ('font_fcf9f3', '#fcf9f3'),
        ('font_e59304', '#e59304'),
        ('font_fff0d9', '#fff0d9'),
        ('font_d9dad9', '#d9dad9'),
        ('font_e9f9f0', '#e9f9f0'),
        ('font_e9e9e9', '#e9e9e9'),
        ('font_a7a8a7', '#a7a8a7'),
        ('font_ffa224', '#ffa224'),
        ('font_ffb415', '#ffb415'),
        ('color_f1eeee', '#f1eeee'),
        ('line_dash_color', '#e5e5e5'),
        ('font_color_ff131715', '#ff131715'),
        ('menu_item_bg_pressed', '#f8f8f8'),
        ('menu_item_bg_pressed_eb23c268', '#e9fbf1'),
        ('menu_item_bg_pressed_e623c268', '#d0f6E1'),
        ('bg_pressed', '#30000000'),
        ('transparence', '#00000000'),
        ('color_ffaf0f', '#ffaf0f'),
        ('colorPrimary_8', '#1423c268'),
        ('color_f9f9f9', '#f9f9f9'),
        ('black_66', '#66000000'),
        ('color_131715_75', '#bf131715'),
        ('color_3323c268', '#3323c268'),
        ('color_orange_80', '#CCffa224'),
        ('divider', '#f8f8f8'),
        ('divider_eee', '#eeeeee'),
        ('divider_99eee', '#99eeeeee'),
        ('divider_new', '#f8f8f8'),
        ('type_color', '#a7a8a7'),
        ('btn_download_orange', '#ffa224'),
        ('btn_download_green', '#23c268'),
        ('btn_download_gray', '#dddddd'),
        ('btn_cloud_download', '#ffa224'),
        ('bg_default_navigate', '#23c268'),
        ('default_navigate_title', '#ffffff'),
        ('bg_white_default_navigate', '#ffffff'),
        ('default_navigate_black_title', '#3e403f'),
        ('star_fill_color', '#23c268'),
        ('star_bg_color', '#BDBDBD'),
        ('star_fill_yellow_color', '#ffcc00'),
        ('score_font_color', '#ffcc00'),
        ('bg_game_recommend_guideview', '#99000000'),
        ('white_99', '#99ffffff'),
        ('black_10', '#10000000'),
        ('black_20', '#20000000'),
        ('black_26', '#26000000'),
        ('black_90p', '#1A000000'),
        ('black_95p', '#0c000000'),
        ('black_70p', '#B3000000'),
        ('black_bfp', '#bf000000'),
        ('black_80p', '#cc000000'),
        ('aeaeae_80', '#ccaeaeae'),
        ('black_65p', '#A6000000'),
        ('colorprimary_40', '#6632be64'),
        ('colorprimary_10', '#1032be64'),
        ('color_f0f0f0', '#f0f0f0'),
        ('color_ffb916', '#ffb916'),
        ('color_ffbb32', '#ffbb32'),
        ('color_ffbd26', '#ffbd26'),
        ('color_ff970f', '#ff970f'),
        ('color_ffa609', '#ffa609'),
        ('color_fffbf4', '#fffbf4'),
        ('color_fffaf1', '#fffaf1'),
        ('color_ffb49a', '#ffb49a'),
        ('color_26e089', '#26E089'),
        ('color_f16456', '#f16456'),
        ('find_tab_qq_bg', '#41AAFA'),
        ('find_tab_tool_bg', '#FFAA69'),
        ('find_tab_auxiliary_bg', '#37D7BE'),
        ('divider_line_eee', '#eeeeee'),
        ('cloud_play_bt', '#ffa224'),
        ('fast_play_bt', '#ffa224'),
        ('color_42DC72', '#42DC72'),
        ('color_28C36B', '#28C36B'),
        ('color_ffa224', '#ffa224'),
        ('color_009ac8', '#009ac8'),
        ('color_00b9f0', '#00B9F0'),
        ('color_d1ffe6', '#d1ffe6'),
        ('color_7a7d7a', '#7A7D7A'),
        ('color_ee8e1a', '#EE8E1A'),
        ('notification_title', '#131715'),
        ('notification_content', '#7A7D7A'),
        ('color_8023c268', '#8023c268'),
        ('color_ccd1ebdc', '#CCD1EBDC'),
        ('color_f6f5f5', '#F6F5F5'),
        ('color_f6f5f5_00', '#00F6F5F5'),
        ('color_1fa7a8a7', '#1fa7a8a7'),
        ('color_edfaf3', '#EDFAF3'),
        ('color_b3cfd1d0', '#b3cfd1d0'),
        ('red_dot_color', '#f16456'),
        ('color_020202_50', '#88020202'),
        ('divider_line', '#f7f6f6'),
        ('color_adffe2', '#ADFFE2'),
        ('color_e4fbbd', '#E4FBBD'),
        ('bg_ad_text', '#f2f0f5'),
        ('ad_text', '#806A9F'),
        ('rank_renqi', '#62ce79'),
        ('rank_biaosheng', '#50d8a0'),
        ('rank_expect', '#39d6bd'),
        ('rank_player', '#5bcaf4'),
        ('rank_developer', '#69b9f5'),
        ('rank_erciyuan', '#3ed1d6'),
        ('rank_download', '#3acbe8'),
        ('rank_scales', '#49cbe3'),
        ('rank_online_play', '#3fd1e6'),
        ('color_66f2f3f5', '#66f2f3f5'),
        ('color_ffe3fffd', '#ffe3fffd'),
        ('color_272727', '#272727'),
        ('color_12cccccc', '#12cccccc'),
        ('color_ffe5ffe1', '#ffe5ffe1'),
        ('color_cccccc', '#cccccc'),
        ('color_dbd9d9', '#dbd9d9'),
        ('color_ffcf71', '#ffcf71'),
        ('color_ff6a86', '#ff6a86'),
        ('color_00b9ee', '#00b9ee'),
        ('color_663ad470', '#663ad470'),
        ('color_ff0000', '#ff0000'),
        ('color_3399ff', '#3399ff'),
        ('color_b3aeaeae', '#b3aeaeae'),
        ('color_14cccccc', '#14cccccc'),
        ('color_990aac3c', '#990aac3c'),
        ('color_f7f8f9', '#f7f8f9'),
        ('color_f18570', '#f18570'),
        ('color_11cccccc', '#11cccccc'),
        ('color_ffa000', '#ffa000'),
        ('color_ffdd4b', '#ffdd4b'),
        ('color_c9c9cd', '#c9c9cd'),
        ('color_3308f36e', '#3308f36e'),
        ('color_62d494', '#62d494'),
        ('color_fff5d2', '#fff5d2'),
        ('color_fff2f2', '#fff2f2'),
        ('color_daf5e7', '#daf5e7'),
        ('color_ffe973', '#ffe973'),
        ('color_edfdea', '#edfdea'),
        ('color_66ffffff', '#66ffffff'),
        ('color_5523c268', '#5523c268'),
        ('color_ff6054', '#ff6054'),
        ('color_fffcf3e1', '#fffcf3e1'),
        ('color_fff2f3f5', '#fff2f3f5'),
        ('color_a8000000', '#a8000000'),
        ('color_ffc346', '#ffc346'),
        ('color_ee7e1a', '#ee7e1a'),
        ('color_7e4f24', '#7e4f24'),
        ('color_ffa709', '#ffa709'),
        ('color_ff23c268', '#ff23c268'),
        ('color_fd481f', '#fd481f'),
        ('color_993e403f', '#993e403f'),
        ('color_fdf8ed', '#fdf8ed'),
        ('color_ffffe0b4', '#ffffe0b4'),
        ('color_4d131715', '#4d131715'),
        ('color_ffde93', '#ffde93'),
        ('color_1aeeac2a', '#1aeeac2a'),
        ('color_33c1b26a', '#33c1b26a'),
        ('color_cbcbcb', '#cbcbcb'),
        ('color_3e403f', '#3e403f'),
        ('color_42dc72', '#42dc72'),
        ('color_ff11ce33', '#ff11ce33'),
        ('color_ffd231', '#ffd231'),
        ('color_ff6200ee', '#ff6200ee'),
        ('color_69000000', '#69000000'),
        ('color_4d000000', '#4d000000'),
        ('color_586898', '#586898'),
        ('color_992b8346', '#992b8346'),
        ('color_fdd366', '#fdd366'),
        ('color_999a9a', '#999a9a'),
        ('color_00f6f5f5', '#00f6f5f5'),
        ('color_a7a8a7', '#a7a8a7'),
        ('color_80333333', '#80333333'),
        ('color_66ffb415', '#66ffb415'),
        ('color_f8f8f8', '#f8f8f8'),
        ('color_33a0a000', '#33a0a000'),
        ('color_33eeac2a', '#33eeac2a'),
        ('color_993ad470', '#993ad470'),
        ('color_1f23c268', '#1f23c268'),
        ('color_99000000', '#99000000'),
        ('color_8ac699', '#8ac699'),
        ('color_7f08d080', '#7f08d080'),
        ('color_bdedd2', '#bdedd2'),
        ('color_66000000', '#66000000'),
        ('color_fff1e9', '#fff1e9'),
        ('color_00131715', '#00131715'),
        ('color_19bb6e', '#19bb6e'),
        ('color_55f2f3f5', '#55f2f3f5'),
        ('color_66cfd1d0', '#66cfd1d0'),
        ('color_e5e5e5', '#e5e5e5'),
        ('color_28c36b', '#28c36b'),
        ('color_4d3e403f', '#4d3e403f'),
        ('color_aaffffff', '#aaffffff'),
        ('color_f6f6f6', '#f6f6f6'),
        ('color_33effbf1', '#33effbf1'),
        ('color_ffe0faeb', '#ffe0faeb'),
        ('color_6632be64', '#6632be64'),
        ('color_cb23c268', '#cb23c268'),
        ('color_26000000', '#26000000'),
        ('color_cc23c268', '#cc23c268'),
        ('color_eeeeee', '#eeeeee'),
        ('color_23c268', '#23c268'),
        ('color_fffc9215', '#fffc9215'),
        ('color_33ffffff', '#33ffffff'),
        ('color_e6ffffff', '#e6ffffff'),
        ('color_05b46a', '#05b46a'),
        ('color_33f6f5f5', '#33f6f5f5'),
        ('color_e4e4e4', '#e4e4e4'),
        ('color_ff28c36b', '#ff28c36b'),
        ('color_ffceaa', '#ffceaa'),
        ('color_ff0aac3c', '#ff0aac3c'),
        ('color_ff7a7d7a', '#ff7a7d7a'),
        ('color_557db4', '#557db4'),
        ('color_919193', '#919193'),
        ('color_3a3a3a', '#3a3a3a'),
        ('color_ffc7d9e3', '#ffc7d9e3'),
        ('color_99f2f3f5', '#99f2f3f5'),
        ('color_fff9ec', '#fff9ec'),
        ('color_ff4938', '#ff4938'),
        ('color_a39a9e', '#a39a9e'),
        ('color_cc26e089', '#cc26e089'),
        ('color_ccd9d9d9', '#ccd9d9d9'),
        ('color_f3ffec', '#f3ffec'),
        ('color_ffeeee', '#ffeeee'),
        ('color_4dcfd1d0', '#4dcfd1d0'),
        ('color_ffedc0', '#ffedc0'),
        ('color_4d333333', '#4d333333'),
        ('color_cc000000', '#cc000000'),
        ('color_ffb3b3b3', '#ffb3b3b3'),
        ('color_ff6455', '#ff6455'),
        ('color_33000000', '#33000000'),
        ('color_ffcfd1d0', '#ffcfd1d0'),
        ('color_00333333', '#00333333'),
        ('color_803ad470', '#803ad470'),
        ('color_ff666666', '#ff666666'),
        ('color_ffffff', '#ffffff'),
        ('color_e6faf0', '#e6faf0'),
        ('color_41aafa', '#41aafa'),
        ('color_99ffffff', '#99ffffff'),
        ('color_25bc73', '#25bc73'),
        ('color_ffffc658', '#ffffc658'),
        ('color_1affffff', '#1affffff'),
        ('color_66d3f3e1', '#66d3f3e1'),
        ('color_ccffffff', '#ccffffff'),
        ('color_2223c268', '#2223c268'),
        ('color_f6ff7e', '#f6ff7e'),
        ('color_feeb9c', '#feeb9c'),
        ('color_bf131715', '#bf131715'),
        ('color_26ffffff', '#26ffffff'),
        ('color_b832be64', '#b832be64'),
        ('color_e7b15f', '#e7b15f'),
        ('color_ffcccccc', '#ffcccccc'),
        ('color_666666', '#666666'),
        ('color_00000000', '#00000000'),
        ('color_ccf9f9f9', '#ccf9f9f9'),
        ('color_6623c268', '#6623c268'),
        ('color_7affffff', '#7affffff'),
        ('color_eefbf3', '#eefbf3'),
        ('color_f3f3f3', '#f3f3f3'),
        ('color_00ffffff', '#00ffffff'),
        ('color_fff8ee', '#fff8ee'),
        ('color_cdcaca', '#cdcaca'),
        ('color_ffffb415', '#ffffb415'),
        ('color_fffcf0ce', '#fffcf0ce'),
        ('color_a06229', '#a06229'),
        ('color_40ececec', '#40ececec'),
        ('color_a2a3a3', '#a2a3a3'),
        ('color_80ffa224', '#80ffa224'),
        ('color_823c14', '#823c14'),
        ('color_c7f4dc', '#c7f4dc'),
        ('color_0023c268', '#0023c268'),
        ('color_663e403f', '#663e403f'),
        ('color_7fffffff', '#7fffffff'),
        ('color_e9f9f0', '#e9f9f0'),
        ('color_1423c368', '#1423c368'),
        ('color_29131715', '#29131715'),
        ('color_00ffcc', '#00ffcc'),
        ('color_ff000000', '#ff000000'),
        ('color_effbf4', '#effbf4'),
        ('color_c08f3c', '#c08f3c'),
        ('color_ff333333', '#ff333333'),
        ('color_5178bc', '#5178bc'),
        ('color_f231af67', '#f231af67'),
        ('color_80cfd1d0', '#80cfd1d0'),
        ('color_1423c268', '#1423c268'),
        ('color_d6726813', '#d6726813'),
        ('color_afb1af', '#afb1af'),
        ('color_00f2f3f5', '#00f2f3f5'),
        ('color_88000000', '#88000000'),
        ('color_bb9c99', '#bb9c99'),
        ('color_ff26e089', '#ff26e089'),
        ('color_ff5a54', '#ff5a54'),
        ('color_7bdaa4', '#7bdaa4'),
        ('color_9928c36b', '#9928c36b'),
        ('color_8c580d', '#8c580d'),
        ('color_123456', '#123456'),
        ('color_1fffffff', '#1fffffff'),
        ('color_fff1f1', '#fff1f1'),
        ('color_fffbfafa', '#fffbfafa'),
        ('color_8007d885', '#8007d885'),
        ('color_b3000000', '#b3000000'),
        ('color_ffa7a8a7', '#ffa7a8a7'),
        ('color_b3222222', '#b3222222'),
        ('color_f7131715', '#f7131715'),
        ('color_fafafa', '#fafafa'),
        ('color_fcf3e1', '#fcf3e1'),
        ('color_2623c268', '#2623c268'),
        ('color_f2ffffff', '#f2ffffff'),
        ('color_f5e0e2', '#f5e0e2'),
        ('color_bdedd1', '#bdedd1'),
        ('color_ff3e403f', '#ff3e403f'),
        ('color_f53e403f', '#f53e403f'),
        ('color_efa200', '#efa200'),
        ('color_00b7ee', '#00b7ee'),
        ('color_9908d080', '#9908d080'),
        ('color_00d9d9d9', '#00d9d9d9'),
        ('color_ffdad6', '#ffdad6'),
        ('color_077c7c75', '#077c7c75'),
        ('color_000000', '#000000'),
        ('color_99eeeeee', '#99eeeeee'),
        ('color_f3f8ce', '#f3f8ce'),
        ('color_f5f5f5', '#f5f5f5'),
        ('color_54da8e', '#54da8e'),
        ('color_3be886', '#3be886'),
        ('color_141c30', '#141c30'),
        ('color_09cccccc', '#09cccccc'),
        ('color_3ad470', '#3ad470'),
        ('color_ffedfaf3', '#ffedfaf3'),
        ('color_999999', '#999999'),
        ('color_80ffffff', '#80ffffff'),
        ('color_fc9215', '#fc9215'),
        ('color_40d870', '#40d870'),
        ('color_cb3e403f', '#cb3e403f'),
        ('color_1e000000', '#1e000000'),
        ('color_1a23c268', '#1a23c268'),
        ('color_946464', '#946464'),
        ('color_cca7a8a7', '#cca7a8a7'),
        ('color_b3ffffff', '#b3ffffff'),
        ('color_cecece', '#cecece'),
        ('color_75000000', '#75000000'),
        ('color_60ff0000', '#60ff0000'),
        ('color_32be64', '#32be64'),
        ('color_dddddd', '#dddddd'),
        ('color_66131715', '#66131715'),
        ('color_e9e9e9', '#e9e9e9'),
        ('color_20000000', '#20000000'),
        ('color_f58909', '#f58909'),
        ('color_1a000000', '#1a000000'),
        ('color_fafbfb', '#fafbfb'),
        ('color_fff7e7', '#fff7e7'),
        ('color_8b8c8c', '#8b8c8c'),
        ('color_40000000', '#40000000'),
        ('color_14000000', '#14000000'),
        ('color_ff3ad470', '#ff3ad470'),
        ('color_a3000000', '#a3000000'),
        ('color_6642dc72', '#6642dc72'),
        ('color_0036d67c', '#0036d67c'),
        ('color_66fc9215', '#66fc9215'),
        ('color_3d000000', '#3d000000'),
        ('color_ffb644', '#ffb644'),
        ('color_e4e5e4', '#e4e5e4'),
        ('color_a0000000', '#a0000000'),
        ('color_f98a00', '#f98a00'),
        ('color_d9cab9', '#d9cab9'),
        ('color_07cccccc', '#07cccccc'),
        ('color_6628c36b', '#6628c36b'),
        ('color_f5fefc', '#f5fefc'),
        ('color_ffffffff', '#ffffffff'),
        ('color_ff999999', '#ff999999'),
        ('color_44000000', '#44000000'),
        ('color_fff8f8f8', '#fff8f8f8'),
        ('color_b3434343', '#b3434343'),
        ('color_59000000', '#59000000'),
        ('color_d0d0d0', '#d0d0d0'),
        ('color_26ececec', '#26ececec'),
        ('color_efeff3', '#efeff3'),
        ('color_cf844f', '#cf844f'),
        ('color_bf000000', '#bf000000'),
        ('color_d6fff1', '#d6fff1'),
        ('color_30000000', '#30000000'),
        ('color_00eeac2a', '#00eeac2a'),
        ('color_b30aac3c', '#b30aac3c'),
        ('color_ff36d67c', '#ff36d67c'),
        ('color_8028c36b', '#8028c36b'),
        ('color_fff0c9', '#fff0c9'),
        ('color_80000000', '#80000000'),
        ('color_ed816e', '#ed816e'),
        ('color_cbedd8', '#cbedd8'),
        ('color_ff08d080', '#ff08d080'),
        ('color_cbffa224', '#cbffa224'),
        ('color_ffb415', '#ffb415'),
        ('color_7bdbea', '#7bdbea'),
        ('color_e6000000', '#e6000000'),
        ('color_d3f5e3', '#d3f5e3'),
        ('color_eaeaea', '#eaeaea'),
        ('color_e8e8e8', '#e8e8e8'),
        ('color_bae5fd', '#bae5fd')]
    return sorted(old_colors, key=ascii, reverse=True)


# 旧的颜色集
def get_old_dimens():
    dimens = [
        ('activity_horizontal_margin', '16dp'),
        ('gamedetail_top_line', '12dp'),
        ('gamedetail_bottom_line', '6dp'),
        ('home_index_navigate_height', '44dp'),
        ('toolbar_height', '45dp'),
        ('slidingtablayout_height', '40dp'),
        ('default_padding', '12dp'),
        ('drawable_padding', '4dp'),
        ('user_info_paddingtop', '6dp'),
        ('user_info_paddingbottom', '6dp'),
        ('leftmargin', '12dp'),
        ('rightmargin', '12dp'),
        ('divider_05', '0.5dp'),
        ('divider_8', '8dp'),
        ('tool_icon_heigth', '36dp'),
        ('qq_game_icon_width', '68dp'),
        ('rank_list_icon_width', '70dp'),
        ('rank_list_circle_width', '20dp'),
        ('home_index_userinfo_avatar_width', '20dp'),
        ('mine_avatar_width_bg', '68dp'),
        ('mine_avatar_width', '66dp'),
        ('navigate_return_padding_right', '24dp'),
        ('navigate_title_size', '17sp'),
        ('news_title_size', '16dp'),
        ('news_time_size', '10sp'),
        ('news_padding_top', '16dp'),
        ('video_title_size', '16dp'),
        ('video_time_size', '10sp'),
        ('video_padding_top', '16dp'),
        ('gamedetail_itemright_top', '2.5dp'),
        ('strategy_all_game_size', '12sp'),
        ('strategy_all_game_icon_corner', '3dp'),
        ('qq_group_padding_top', '12dp'),
        ('rank_list_padding_top', '16dp'),
        ('emoji_icon_width', '30dp'),
        ('type_size', '12sp'),
        ('type_padding_right', '8dp'),
        ('type_padding_bottom', '5dp'),
        ('gamedetail_icon_width', '90dp'),
        ('gamedetail_detail_game_icon_width', '68dp'),
        ('gamedetail_downloadbtn_height', '40dp'),
        ('gamedetail_downloadbtn_height1', '36dp'),
        ('gamedetail_downloadbtn_height2', '38dp'),
        ('red_point_width', '6dp'),
        ('red_point_width_half', '3dp'),
        ('gamelist_game_icon_width', '68dp'),
        ('search_edit_height', '32dp'),
        ('search_edit_height_half', '16dp'),
        ('playerview_height', '200dp'),
        ('default_downloadbtn_height', '28dp'),
        ('default_downloadbtn_width', '60dp'),
        ('default_downloadbtn_height_half', '12dp'),
        ('linepaddingbutton', '0dp'),
        ('paddingbutton', '0dp'),
        ('categorypadding', '10dp'),
        ('login_btn_height', '44dp'),
        ('login_btn_height_half', '22dp'),
        ('btn_height', '44dp'),
        ('tv_hot_tag_height', '28dp'),
        ('wonder_face_gv_padding', '6dp'),
        ('wonder_face_gv_horizontal_space', '4dp'),
        ('wonder_face_gv_vertical_space', '4dp'),
        ('wonder_face_page_point_width', '8dp'),
        ('wonder_face_page_point_width_half', '4dp'),
        ('wonder_face_page_rg_height', '20dp'),
        ('spacingExtra8', '0dp'),
        ('spacingExtra6', '0dp'),
        ('hykb_game_detail_score_card_size', '82dp'),
        ('hykb_dimens_size_0dp', '0dp'),
        ('hykb_dimens_size_05dp', '0.5dp'),
        ('hykb_dimens_size_1dp', '1dp'),
        ('hykb_dimens_size_2dp', '2dp'),
        ('hykb_dimens_size_2_5dp', '2.5dp'),
        ('hykb_dimens_size_3dp', '3dp'),
        ('hykb_dimens_size_3_5dp', '3.5dp'),
        ('hykb_dimens_size_4dp', '4dp'),
        ('hykb_dimens_size_4_5dp', '4.5dp'),
        ('hykb_dimens_size_5dp', '5dp'),
        ('hykb_dimens_size_6dp', '6dp'),
        ('hykb_dimens_size_7dp', '7dp'),
        ('hykb_dimens_size_8dp', '8dp'),
        ('hykb_dimens_size_9dp', '9dp'),
        ('hykb_dimens_size_10dp', '10dp'),
        ('hykb_dimens_size_11dp', '11dp'),
        ('hykb_dimens_size_12dp', '12dp'),
        ('hykb_dimens_size_12_point5_dp', '12.5dp'),
        ('hykb_dimens_size_13dp', '13dp'),
        ('hykb_dimens_size_13dp_point5', '13.5dp'),
        ('hykb_dimens_size_14dp', '14dp'),
        ('hykb_dimens_size_14dp_point5', '14.5dp'),
        ('hykb_dimens_size_15dp', '15dp'),
        ('hykb_dimens_size_16dp', '16dp'),
        ('hykb_dimens_size_16_point5_dp', '16.5dp'),
        ('hykb_dimens_size_17dp', '17dp'),
        ('hykb_dimens_size_17_point5_dp', '17.5dp'),
        ('hykb_dimens_size_18dp', '18dp'),
        ('hykb_dimens_size_19dp', '19dp'),
        ('hykb_dimens_size_20dp', '20dp'),
        ('hykb_dimens_size_21dp', '21dp'),
        ('hykb_dimens_size_22dp', '22dp'),
        ('hykb_dimens_size_23dp', '23dp'),
        ('hykb_dimens_size_24dp', '24dp'),
        ('hykb_dimens_size_25dp', '25dp'),
        ('hykb_dimens_size_26dp', '26dp'),
        ('hykb_dimens_size_27dp', '27dp'),
        ('hykb_dimens_size_28dp', '28dp'),
        ('hykb_dimens_size_29dp', '29dp'),
        ('hykb_dimens_size_30dp', '30dp'),
        ('hykb_dimens_size_31dp', '31dp'),
        ('hykb_dimens_size_33dp', '33dp'),
        ('hykb_dimens_size_32dp', '32dp'),
        ('hykb_dimens_size_34dp', '34dp'),
        ('hykb_dimens_size_35dp', '35dp'),
        ('hykb_dimens_size_36dp', '36dp'),
        ('hykb_dimens_size_38dp', '38dp'),
        ('hykb_dimens_size_39dp', '39dp'),
        ('hykb_dimens_size_40dp', '40dp'),
        ('hykb_dimens_size_42dp', '42dp'),
        ('hykb_dimens_size_44dp', '44dp'),
        ('hykb_dimens_size_45dp', '45dp'),
        ('hykb_dimens_size_46dp', '46dp'),
        ('hykb_dimens_size_48dp', '48dp'),
        ('hykb_dimens_size_50dp', '50dp'),
        ('hykb_dimens_size_52dp', '52dp'),
        ('hykb_dimens_size_53dp', '53dp'),
        ('hykb_dimens_size_54dp', '54dp'),
        ('hykb_dimens_size_55dp', '55dp'),
        ('hykb_dimens_size_56dp', '56dp'),
        ('hykb_dimens_size_58dp', '58dp'),
        ('hykb_dimens_size_60dp', '60dp'),
        ('hykb_dimens_size_62dp', '62dp'),
        ('hykb_dimens_size_64dp', '64dp'),
        ('hykb_dimens_size_65dp', '65dp'),
        ('hykb_dimens_size_66dp', '66dp'),
        ('hykb_dimens_size_68dp', '68dp'),
        ('hykb_dimens_size_70dp', '70dp'),
        ('hykb_dimens_size_72dp', '72dp'),
        ('hykb_dimens_size_74dp', '74dp'),
        ('hykb_dimens_size_75dp', '75dp'),
        ('hykb_dimens_size_78dp', '78dp'),
        ('hykb_dimens_size_80dp', '80dp'),
        ('hykb_dimens_size_82dp', '82dp'),
        ('hykb_dimens_size_84dp', '84dp'),
        ('hykb_dimens_size_88dp', '88dp'),
        ('hykb_dimens_size_89dp', '89dp'),
        ('hykb_dimens_size_90dp', '90dp'),
        ('hykb_dimens_size_92dp', '92dp'),
        ('hykb_dimens_size_95dp', '95dp'),
        ('hykb_dimens_size_98dp', '98dp'),
        ('hykb_dimens_size_110dp', '110dp'),
        ('hykb_dimens_size_120dp', '120dp'),
        ('hykb_dimens_size_122dp', '122dp'),
        ('hykb_dimens_size_130dp', '130dp'),
        ('hykb_dimens_size_134dp', '134dp'),
        ('hykb_dimens_size_140dp', '140dp'),
        ('hykb_dimens_size_144dp', '144dp'),
        ('hykb_dimens_size_150dp', '150dp'),
        ('hykb_dimens_size_158dp', '158dp'),
        ('hykb_dimens_size_160dp', '160dp'),
        ('hykb_dimens_size_165dp', '165dp'),
        ('hykb_dimens_size_170dp', '170dp'),
        ('hykb_dimens_size_178dp', '178dp'),
        ('hykb_dimens_size_180dp', '180dp'),
        ('hykb_dimens_size_184dp', '184dp'),
        ('hykb_dimens_size_192dp', '192dp'),
        ('hykb_dimens_size_100dp', '100dp'),
        ('hykb_dimens_size_104dp', '104dp'),
        ('hykb_dimens_size_106dp', '106dp'),
        ('hykb_dimens_size_112dp', '112dp'),
        ('hykb_dimens_size_200dp', '200dp'),
        ('hykb_dimens_size_220dp', '220dp'),
        ('hykb_dimens_size_208dp', '208dp'),
        ('hykb_dimens_size_240dp', '240dp'),
        ('hykb_dimens_size_260dp', '260dp'),
        ('hykb_dimens_size_300dp', '300dp'),
        ('hykb_dimens_size_304dp', '304dp'),
        ('guess_u_like_tip_dp', '2250dp'),
        ('hykb_dimens_size_253dp', '253dp'),
        ('hykb_dimens_font_8sp', '8sp'),
        ('hykb_dimens_font_9sp', '9sp'),
        ('hykb_dimens_font_10sp', '10sp'),
        ('hykb_dimens_font_11sp', '11sp'),
        ('hykb_dimens_font_12sp', '12sp'),
        ('hykb_dimens_font_13sp', '13sp'),
        ('hykb_dimens_font_14sp', '14sp'),
        ('hykb_dimens_font_15sp', '15sp'),
        ('hykb_dimens_font_16sp', '16sp'),
        ('hykb_dimens_font_20sp', '20sp'),
        ('hykb_dimens_font_24sp', '24sp'),
        ('hykb_dimens_font_34sp', '34sp'),
        ('hykb_dimens_font_17sp', '17sp'),
        ('hykb_dimens_font_18sp', '18sp'),
        ('hykb_dimens_font_19sp', '19sp'),
        ('hykb_dimens_font_28sp', '28sp'),
        ('hykb_dimens_gamedetail_kbdj', '10sp'),
        ('gamedetail_margin_left', '16dp'),
        ('gamedetail_margin_right', '16dp'),
        ('homeindex_margin_left', '16dp'),
        ('homeindex_margin_right', '16dp'),
        ('homeindex_four_nav_icon_width', '46dp'),
        ('homeindex_item_corners', '5dp'),
        ('homeindex_item_newgame_game_icon_width', '74dp'),
        ('homeindex_item_newgame_game_icon_height', '54dp'),
        ('homeindex_item_game_icon_width', '40dp'),
        ('homeindex_item_game_date_bg_height', '20dp'),
        ('homeindex_item_game_date_bg_height_half', '10dp'),
        ('homeindex_item_huanyihuan_bg_height', '28dp'),
        ('homeindex_item_huanyihuan_bg_height_half', '14dp'),
        ('homeindex_item_good_game_recommend_game_icon_width', '72dp'),
        ('vote_item_radius', '4dp'),
        ('homeindex_hot_game_update_pic_width', '304dp'),
        ('homeindex_hot_game_update_pic_height', '171dp'),
        ('homeindex_item_jingxuan_heji_item_icon_width', '155dp'),
        ('score_font_size', '12sp'),
        ('forum_detail_header_game_icon_width', '80dp'),
        ('moderator_list_user_icon_width', '43dp'),
        ('item_person_center_bbs_avatar_width', '36dp'),
        ('gamedetail_video_pic_w', '152dp'),
        ('gamedetail_video_pic_h', '87dp'),
        ('homeindex_message_banner', '36dp'),
        ('dialog_cornor', '8dp'),
        ('homeindex_message_close_w', '42dp'),
        ('design_snackbar_padding_horizontal" tools:override="true', '20dp'),
        ('design_snackbar_padding_vertical" tools:override="true', '12dp'),
        ('post_detail_item_top', '6dp'),
        ('post_detail_item_bottom', '6dp'),
        ('post_detail_item_bottom_12dp', '12dp'),
        ('post_detail_title_height', '48dp'),
        ('item_search_hot_game_height', '36dp'),
        ('item_search_hot_game_padding', '9dp'),
        ('default_status_align_topmargin', '90dp'),
        ('personal_game_fragment_align_topmargin', '77dp'),
        ('post_detail_reply_praise_height_view', '14dp'),
        ('update_dialog_content_max_height', '205dp'),
        ('main_search_margin_left_right', '16dp'),
        ('hotspot_overlay_bottom', '8dp'),
        ('expand_delete_w_h', '12dp')
    ]
    return sorted(dimens, key=ascii, reverse=True)
